#
# spec file for package python-Louie
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Louie
Version:        1.1
Release:        lp150.1.3
Url:            http://11craft.github.com/louie/
Summary:        Signal dispatching mechanism
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/L/Louie/Louie-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
Provides:       python-louie = %{version}
#TODO: Change back to '<' after next version update:
Obsoletes:      python-louie <= %{version}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
Louie provides Python programmers with a straightforward way to
dispatch signals between objects in a wide variety of contexts. It is
based on PyDispatcher, which in turn was based on a highly-rated
recipe in the Python Cookbook.

%prep
%setup -q -n Louie-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc doc/*
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Dec 12 2011 cfarrell@suse.com
- license update: BSD-2-Clause
  Reference is to opensource.org list entry for BSD-2-Clause license
* Fri Dec  9 2011 coolo@suse.com
- fix license to be in spdx.org format
* Wed Sep 21 2011 saschpe@suse.de
- Renamed to python-Louie to match upstream name
- Run testsuite
* Wed Nov 10 2010 coolo@novell.com
- fix file list
* Thu Jun 17 2010 hvogel@novell.com
- Prepare specfile for factory submission
  o get rid of buildroot removal in %%install
  o branch changelog to .changes file
* Tue Jul  4 2006 jfunk@funktronics.ca
- Initial release, version 1.1
